C++ apt-get working on stdout of popen

This might sound like a stupid question, I am new to C++. On debian I try to invoke apt-get install with popen. I need to parse the output of this programm. Unfortunately I am not able to read the...

C++ popen not getting all of stdout

Basically I want to read all data from stdout when running a program with popen. However, the program I run will not return the last output line into my buffer and I do not understand why (my...

wxpython save file dialog gives a gtk-warning

the code here below: #!/usr/bin/env python import wx class MyForm(wx.Frame): def __init__(self): wx.Frame.__init__(self, None, wx.ID_ANY, "File and Folder...

Installing wxPython on Ubuntu 12.04

The Issue: I am having trouble installing wxPython on Ubuntu 12.04. I would like to find a simple, straightforward way of doing this. What I've Done So Far: The most relevant instructions that I...

Installing wxPython in Ubuntu 12.10

I am trying to install wxPython on my Ubuntu 12.10 but with no success. I have gone through all the answers given on this website. Can someone please help me in this or point me in the right...

Wx not importing

So I'm using python 3.3 and recently I have tried to install wxpython and wxwidgets. Synaptic package manager shows that wxversion, wxtools and wxgtk2.8 are all installed. When I use the python...

glassfish updatetool error on ubuntu (python script error importing wx)

I've installed glassfish and now I wont to download the java ee tutorial, but can't run updatetool. I'm using ubuntu 13.10 64bit. This is the error. WX import error. Verify the WX widgets are in...

wxPython not running properly on ubuntu

I'm new to wxpython, i just installed in on my ubuntu 13.04 by the following command : sudo apt-get install python-wxgtk2.8 My system says its installed properly but when I'm trying to run an...

The Critical Error While Installing wxpython On Ubuntu

Having read several resources (eg this one) on installing wxpython on Ubuntu 12.04, I muddled it all. My terminal outputs a single error upon writing, for instance, a statement sudo apt-get...

Bad Marshal error -- runsnake

I ran cProfile on a python 3 script, worked nicely, then tried to visualize it using runsnake. Howvever, I got an empty screen and the error 'bad marshal data'. I removed .pyc file but that did...

Yocto (Intel IoT Image), installing packages

Good day. In debian I can to run: sudo apt-get install python-opencv python-serial python-pyparsing python-numpy python-wxgtk2.8 How to do it on yocto (Intel IoT Image)? build from source it...

How to make a ubuntu executable and run it in my install file

This is the install file below (sandhi-install.sh). Currently after installing it can only be run from the terminal. I want to make it terminal independent....

using travis-ci with wxpython tests

I'm trying to add some wxPython tests to work with travis-ci, but I can't figure out how to install wxPython in the build environment. I used brew to install wxPython on my computer, but I can't...

How to use dronekit with SITL vagrant VM from dev Wiki

I am following the getting started instructions in DroneKit-Python to set up DroneKit in a VM. To make things easier for myself I started by Setting up SITL using Vagrant. However I can't work out...

Python import error inspite of having wxPython installed

I have installed wxPython by following the instructions from this answer using the following command in Ubuntu 14.04 sudo apt-get install python-wxgtk2.8 python-wxtools wx2.8-doc wx2.8-examples...

Unable to use wxpython

I used this command to install python in ubuntu 15.10 "sudo apt-get install python-wxgtk2.8" When I write "import wx", This error appears Traceback (most recent call last): File "<stdin>", line...

Installing Wxpython on centos 7

I am trying to install wx-python using the command sudo yum install python-wxgtk2.8 python-wxtools wx2.8-i18n libwxgtk2.8-dev libgtk2.0-dev But, I am getting the following error No package...

WX Blocks Not Installed in GNURadio on Ubuntu 16.04

I was trying to install GNURadio on my Ubuntu 16.04 using the follwoing command: wget http://www.sbrac.org/files/build-gnuradio && chmod a+x build-gnuradio && ./build-gnuradio which is found on...

Cannot install package via pip on Raspbian

I'm trying to install two packages I need to connect my Raspberry Pi to a Pixhawk Flight Controller. The packages I need are installed via pip, but I keep on getting the same errors when...

RIDE setup on linux - Unable to install wxPython

I am trying to set RIDE framework on linux. I have installed the essential software- Python2.7.8 pip RobotFramework 2.8.4 Facing issue while installing wxPython. sudo yum install...

wxPython wrong file dialog for save file picker?

Consider this example (Ubuntu 14.04, Python 2.7.6, python-wxgtk2.8:amd64/trusty 2.8.12.1): import wxversion wxversion.select("2.8") import wx, wx.html import sys class Frame(wx.Frame): def...

Getting rid of scrollbars in wxPython Panel subclass?

I am trying to subclass Panel, and with the code below, I'm hitting this problem: On the right, a normal wx.Panel is instantiated, and as is visible, it has no scrollbars. On the left, the...

wx.PostEvent does not fire events if called in an event handler?

I'm trying the code posted below as combotest.py on Ubuntu 14.04, MATE desktop, python 2.7, python-wxgtk2.8 2.8.12.1; the application is like this: When I click on the combobox and change it...

I cannot run conda command /activate environment on ubuntu?

I have installed anaconda in ubuntu and am facing a problem with anaconda. I was running the following command in a conda environment: 271 pip install --user -r requirements.txt 272 cd .. ...

How to install wxPython 2.8 on Ubuntu 18.04?

I am trying to install wxPython 2.8 on Ubuntu 18.04 system. But it is failing with below error : $ sudo apt install python-wxgtk2.8 Reading package lists... Done Building dependency tree ...

Robot framework Ride installation issue on Ubuntu OS

I have done all installation related to robot framework but when I install robot framework-ride that time through some error on the command line "Could not find a version that satisfies the...

How to install and start RIDE robot framework in Ubuntu

I'm following these steps to install RIDE in Ubuntu, but at the end it gives an error. How to start? sudo apt install python2.7 sudo apt install python-pip echo "deb...

How to install wxpython 2.8

I need to run a python script for the gui of a software I need to use. Unfortunately, this software has not been updated in a while, and need to install wxpython 2.8 for it to work. I have looked...